package com.fs.aicall.vo;

import lombok.Data;

@Data
public class RobotVo {
    // 机器人ID
    private String robotId;
    // 机器人名称
    private String robotName;
    // 机器人呼叫类型，1-呼入，3-呼出
    private Integer callType;
    // 机器人行业id ，如下所示
    /*
        通用：4f7aaba5-8e39-498a-8d50-3d996c4ab0e2
        银行：ed0165dc-d0eb-46d4-adf7-4c26b05db167
        保险：2e3c886e-3dc7-4b10-b3f7-62746a017995
        电信运营商：b68abfa2-c674-4988-8bc5-5b52615be374
        能源：4709e482-dda6-4011-8329-d875e6edd902
        教育：70457676-d79a-4b02-b744-7e2485356fc5
        通信：0b0b7dc4-7cfc-4d9e-8c4a-aba2482ca14d
        电商：4cf99f6d-f33b-4f99-930c-a894e7d81d9a
        消费金融：fae57be2-6d80-4cf9-b69e-825a9507ab29
        航空：05dc9f87-5e4d-408b-a75d-2894eac69f14
     */
    private String industryId;
    private String industryName;
    // 	创建人id
    private Long createUserId;
    // 发布状态，1-未发布，2-发布中，3-发布成功，4-发布失败
    private Integer publishState;
    // 发布人id
    private Long publishUserId;

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
        switch (industryId){
            case "4f7aaba5-8e39-498a-8d50-3d996c4ab0e2":
                this.industryName = "通用";
                break;
            case "ed0165dc-d0eb-46d4-adf7-4c26b05db167":
                this.industryName = "银行";
                break;
            case "2e3c886e-3dc7-4b10-b3f7-62746a017995":
                this.industryName = "保险";
                break;
            case "b68abfa2-c674-4988-8bc5-5b52615be374":
                this.industryName = "电信运营商";
                break;
            case "4709e482-dda6-4011-8329-d875e6edd902":
                this.industryName = "能源";
                break;
            case "70457676-d79a-4b02-b744-7e2485356fc5":
                this.industryName = "教育";
                break;
            case "0b0b7dc4-7cfc-4d9e-8c4a-aba2482ca14d":
                this.industryName = "通信";
                break;
            case "4cf99f6d-f33b-4f99-930c-a894e7d81d9a":
                this.industryName = "电商";
                break;
            case "fae57be2-6d80-4cf9-b69e-825a9507ab29":
                this.industryName = "消费金融";
                break;
            case "05dc9f87-5e4d-408b-a75d-2894eac69f14":
                this.industryName = "航空";
                break;
        }
    }
}
